<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/html" xmlns="http://www.w3.org/1999/html" xmlns="http://www.w3.org/1999/html">
    <head>
        <title>Rango</title>
    </head>

    <body>
        <h1>Rango says..hello world!</h1>
{#        <a href="/rango/search/">Search</a>#}
        {% if lmn %}
            <ul>
                {% for category in lmn %}
                <!-- Following line changed to add an HTML hyperlink -->
                <li><a href="/rango/category/{{ category.slug }}">{{ category.name }}</a></li>

                {% endfor %}
            </ul>
       {% else %}
            <strong>There are no categories present.</strong></br>
       {% endif %}
            {% if user.is_authenticated %}
                <a href="/rango/restricted/">Restricted Page</a><br />
{#                <a href="{% url 'auth_logout' %}?next=/rango/">#}
                <a href="/rango/logout/">Logout</a><br />
                {% else %}
{#                <a href="{% url 'registration_register' %}">#}
                <a href="/rango/register/">Register Here</a><br />
{#                <a href="{% url 'auth_login' %}">#}
                <a href="/rango/login/">Login</a><br />
            {% endif %}
        <a href="/rango/add_category/">Add a New Category</a><br />
    </body>
</html>